
%define qtmajor 5
%define qtminor 6
%define qtsubminor 1

%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtxmlpatterns %mklibname qt5xmlpatterns %qtmajor
%define libqtxmlpatterns_d %mklibname qt5xmlpatterns  %qtmajor -d
%define libqtxmlpatterns_p_d %mklibname qt5xmlpatterns-private -d

%define qttarballdir qtxmlpatterns-opensource-src-%{qtversion}

Name: qtxmlpatterns5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: System/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel = %{version}
BuildRequires: qt5core-private-devel = %{version}

#Branch Patchs

#Trunk Patchs

#Patch from Others


%description
The QtXmlPatterns module provides support for XPath, XQuery, XSLT and
XML Schema validation.

#------------------------------------------------------------------------------

%package -n %{libqtxmlpatterns}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires: %{name}-xmlpatterns = %{version}
Obsoletes: %{_lib}qtxmlpatterns5
Provides:  %{_lib}qtxmlpatterns5 = %{version}

%description -n %{libqtxmlpatterns}
Qt%{qtmajor} Component Library.

The QtXmlPatterns module provides support for XPath, XQuery, XSLT and 
XML Schema validation.

%files -n %{libqtxmlpatterns}
%{_qt5_libdir}/libQt5XmlPatterns.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package xmlpatterns
Summary: Qt%{qtmajor} Xmlpatterns Utility
Group: Development/Libraries
Provides: qt5-xmlpatterns = %version-%release
Obsoletes: qt5-xmlpatterns
Requires:  %{libqtxmlpatterns} = %version-%release

%description xmlpatterns
Qt%{qtmajor} Xmlpatterns Utility.

The QtXmlPatterns module provides support for XPath, XQuery, XSLT and 
XML Schema validation.

%files xmlpatterns
%{_qt5_bindir}/xmlpatterns

#------------------------------------------------------------------------------

%package -n %{libqtxmlpatterns_d}
Summary: Devel files needed to build apps based on QtXmlPatterns
Group:    Development/Libraries
Requires: %{libqtxmlpatterns} = %version
Requires: qtbase5-common-devel = %{version}
Provides: libqtxmlpatterns5-devel = %version
Provides: libqt5xmlpatterns-devel = %version
Provides: qtxmlpatterns5-devel = %version
Provides: qt5xmlpatterns-devel = %version

Provides: libqtxmlpatterns5-private-devel = %version
Provides: libqt5xmlpatterns-private-devel = %version
Provides: qtxmlpatterns5-private-devel = %version
Provides: qt5xmlpatterns-private-devel = %version

Obsoletes: %{_lib}qtxmlpatterns5-devel
Provides:  %{_lib}qtxmlpatterns5-devel = %version

%description -n %{libqtxmlpatterns_d}
Devel files needed to build apps based on QtXmlPatterns.

%files -n %{libqtxmlpatterns_d}
%{_qt5_bindir}/xmlpatternsvalidator
%{_qt5_libdir}/libQt5XmlPatterns.prl
%{_qt5_libdir}/libQt5XmlPatterns.so
%{_qt5_libdir}/pkgconfig/Qt5XmlPatterns.pc
%{_qt5_includedir}/QtXmlPatterns
%{_qt5_libdir}/cmake/*
%{_qt5_datadir}/mkspecs/modules/*

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5

%make
#------------------------------------------------------------------------------

%install
rm -rf %buildroot
make INSTALL_ROOT=$RPM_BUILD_ROOT install

install -d %{buildroot}/%{_qt5_docdir}

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -f %{buildroot}%{_qt5_libdir}/lib*.a
rm -rf %{buildroot}/%_qt5_examplesdir

%changelog
* Mon Jul 11 2016 adrianomorselli <adrianomorselli> 5.6.1-1uplos2016
- rebuild

* Thu Jun 09 2016 bb <bb> 5.6.1-1pclos2016
- update

* Thu Mar 17 2016 bb <bb> 5.6.0-1pclos2016
- update
